Failed

tests.modules.check_comics.test_comicmodule[MonsieurLeChien] (from pytest)

Failing for the past 169 builds (Since #628 )
Took 25 sec.

Error Message

requests.exceptions.SSLError: HTTPSConnectionPool(host='www.monsieur-le-chien.fr', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate (_ssl.c:997)')))

Stacktrace

/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:703: in urlopen
    httplib_response = self._make_request(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:386: in _make_request
    self._validate_conn(conn)
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:1040: in _validate_conn
    conn.connect()
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connection.py:414: in connect
    self.sock = ssl_wrap_socket(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/util/ssl_.py:449: in ssl_wrap_socket
    ssl_sock = _ssl_wrap_socket_impl(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/util/ssl_.py:493: in _ssl_wrap_socket_impl
    return ssl_context.wrap_socket(sock, server_hostname=server_hostname)
/usr/local/lib/python3.10/ssl.py:513: in wrap_socket
    return self.sslsocket_class._create(
/usr/local/lib/python3.10/ssl.py:1071: in _create
    self.do_handshake()
/usr/local/lib/python3.10/ssl.py:1342: in do_handshake
    self._sslobj.do_handshake()
E   ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate (_ssl.c:997)

During handling of the above exception, another exception occurred:
/tmp/home/.local/lib/python3.10/site-packages/requests/adapters.py:489: in send
    resp = conn.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:813: in urlopen
    return self.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:813: in urlopen
    return self.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:813: in urlopen
    return self.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:785: in urlopen
    retries = retries.increment(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/util/retry.py:592: in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
E   urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.monsieur-le-chien.fr', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate (_ssl.c:997)')))

During handling of the above exception, another exception occurred:
tests/modules/check_comics.py:57: in test_comicmodule
    _test_comic(str(tmpdir), scraperobj, maxstrips)
tests/modules/check_comics.py:65: in _test_comic
    for strip in scraperobj.getStrips(maxstrips):
dosagelib/scraper.py:184: in getStrips
    for strip in self.getStripsFor(url, maxstrips):
dosagelib/scraper.py:194: in getStripsFor
    data = self.getPage(url)
dosagelib/scraper.py:384: in getPage
    content = super().getPage(url).text
dosagelib/scraper.py:326: in getPage
    return get_page(url, self.session, allow_errors=self.allow_errors)
dosagelib/util.py:150: in get_page
    page = urlopen(url, session, max_content_bytes=MaxContentBytes, **kwargs)
dosagelib/util.py:247: in urlopen
    req = session.request(method, url, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:587: in request
    resp = self.send(prep, **send_kwargs)
dosagelib/http.py:53: in send
    return super(Session, self).send(request, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:723: in send
    history = [resp for resp in gen]
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:723: in <listcomp>
    history = [resp for resp in gen]
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:266: in resolve_redirects
    resp = self.send(
dosagelib/http.py:53: in send
    return super(Session, self).send(request, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:701: in send
    r = adapter.send(request, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/adapters.py:563: in send
    raise SSLError(e, request=request)
E   requests.exceptions.SSLError: HTTPSConnectionPool(host='www.monsieur-le-chien.fr', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate (_ssl.c:997)')))